API Key

GET /v1/videos/{id}

API Key · GET /v1/videos/{id}

API Key鉴权,严格限定创建Key与用户,普通会话不可替代。queued/in_progress/completed/failed/unknown;未知执行或费用继续保留占款,不能当成失败退款。未结算不显示completed,状态查询不调用供应商,也不返回供应商URL或凭据。

Authentication

API Key. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/v1/videos/00000000-0000-4000-8000-000000000001' \
  --header 'Authorization: Bearer '"$ONEASTER_API_KEY"

Parameters

- id (path, Required): {"type":"string","format":"uuid"}

Responses

200

当前 Key 的标准视频状态

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "object": {
            "const": "video"
          },
          "model": {
            "type": "string"
          },
          "status": {
            "enum": [
              "queued",
              "in_progress",
              "completed",
              "failed",
              "unknown"
            ]
          },
          "progress": {
            "type": "integer",
            "minimum": 0,
            "maximum": 100,
            "description": "未结算为0,成功结算为100;供应商没有进度时不编造百分比。"
          },
          "created_at": {
            "type": "integer",
            "minimum": 0
          },
          "completed_at": {
            "type": "integer",
            "minimum": 0
          },
          "seconds": {
            "type": "string",
            "pattern": "^(?:[1-9]|[12][0-9]|30)$"
          },
          "size": {
            "type": "string",
            "enum": [
              "854x480",
              "480x854",
              "640x480",
              "480x640",
              "480x480",
              "1120x480",
              "480x1120",
              "1280x720",
              "720x1280",
              "960x720",
              "720x960",
              "720x720",
              "1680x720",
              "720x1680",
              "1920x1080",
              "1080x1920",
              "1440x1080",
              "1080x1440",
              "1080x1080",
              "2520x1080",
              "1080x2520",
              "3840x2160",
              "2160x3840",
              "2160x2160",
              "2880x2160",
              "2160x2880",
              "5040x2160",
              "720x480",
              "480x720",
              "1080x720",
              "720x1080",
              "1620x1080",
              "1080x1620"
            ]
          },
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "message": {
                "type": "string"
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "message",
              "code"
            ]
          },
          "model_name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200,
            "description": "管理员配置的公开调用名称;默认沿用现有型号。C端使用该名称,内部身份仅管理员可见。"
          }
        },
        "required": [
          "id",
          "object",
          "model",
          "status",
          "progress",
          "created_at",
          "seconds",
          "model_name"
        ]
      }
    }
  },
  "headers": {}
}

default

标准OpenAI错误,无Core success/data外壳。

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "message": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "param": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "message",
              "type",
              "param",
              "code"
            ]
          }
        },
        "required": [
          "error"
        ]
      }
    }
  },
  "headers": {}
}